%define subrel 3

Summary:	PCMan File Manager
Name:		pcmanfm
Version:	1.2.3
Release:	%mkrel 2
URL:		http://pcmanfm.sourceforge.net
Source0:	http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.xz
Patch0:		%{name}-0.9.8-mga-default-config.patch
Patch2:		%{name}-1.2.3-mga-lxde-only.patch
Patch3:		%{name}.git-bc8c3d871e9ecc67c47ff002b68cf049793faf08.patch
License:	GPLv2+
Group:		File tools
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.18.0
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libfm) >= 1.0.1
BuildRequires:	pkgconfig(libfm-gtk) >= 1.0.1
BuildRequires:	pkgconfig(pango) >= 1.20.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
Requires:	shared-mime-info
Requires:	gnome-icon-theme
Requires:	gksu-polkit
Recommends:	gvfs
Conflicts:	lxde-common < 0.5.5

%description
PCMan File Manager is an extremely fast and lightweight file manager which
features tabbed browsing and user-friendly interface.

%prep
%setup -q
%patch0 -p0
%patch2 -p1
%patch3 -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}

rm -fr %{buildroot}%{_includedir}

# clean .desktop file
desktop-file-install --vendor="" \
  --add-category="System;FileTools" \
  --remove-mime-type="x-directory/normal" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_sysconfdir}/xdg/%{name}/default/%{name}.conf
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Tue May 16 2017 ns80 <ns80> 1.2.3-2.3.mga5
+ Revision: 1101873
- add upstream patch for CVE-2017-8933 (mga#20865)
- Correct font size so that Wastebasket is on one line (mga#19476)
- re-enable displaying trash on the desktop by using pcmanfm feature (mga#14210)

* Thu Nov 27 2014 alexl <alexl> 1.2.3-2.mga5
+ Revision: 799584
- show pcmanfm-desktop-pref.desktop in LXDE only (mga#14635)

* Wed Oct 22 2014 alexl <alexl> 1.2.3-1.mga5
+ Revision: 792488
- fix double trash icon (disable-trash.patch) (mga#14210)
- version 1.2.3 (mga#14288)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 746051
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 683367
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Aug 27 2014 fwang <fwang> 1.2.2-1.mga5
+ Revision: 668569
- 1.2.2

* Fri Jul 04 2014 fwang <fwang> 1.2.1-1.mga5
+ Revision: 643096
- 1.2.1

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Wed Feb 19 2014 fwang <fwang> 1.2.0-1.mga5
+ Revision: 594613
- drop unused file
- 1.2.0

* Mon Dec 09 2013 zezinho <zezinho> 1.1.2-3.mga4
+ Revision: 556060
- migrate to gksu-polkit

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 531953
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 fwang <fwang> 1.1.2-1.mga4
+ Revision: 466024
- new version 1.1.2

* Tue Jul 23 2013 fwang <fwang> 1.1.1-1.mga4
+ Revision: 457376
- new version 1.1.1

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-4.mga3
+ Revision: 362647
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 zezinho <zezinho> 1.1.0-3.mga3
+ Revision: 320015
- require gksu as it is used by default conf file #6668

* Thu Nov 08 2012 fwang <fwang> 1.1.0-2.mga3
+ Revision: 316374
- fix wrong zh_CN translation

* Mon Nov 05 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 314338
- new version 1.1.0

* Wed Oct 31 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 311716
- new version 1.0.2

* Fri Sep 21 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 296541
- update file list
- new version 1.0.1

* Mon Oct 31 2011 zezinho <zezinho> 0.9.10-1.mga2
+ Revision: 160462
+ rebuild (emptylog)

* Fri Apr 08 2011 ahmad <ahmad> 0.9.8-4.mga1
+ Revision: 82018
- default wallpaper is still in /usr/share/mga/backgrounds (even if the plan was
  to drop the distro specific /mga/ ..)

* Sat Feb 05 2011 ahmad <ahmad> 0.9.8-3.mga1
+ Revision: 47039
- default wallpaper is now /usr/share/backgrounds/default.jpg
- imported package pcmanfm


* Sat Dec 04 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.8-2mdv2011.0
+ Revision: 609297
- add upstream patch to  fix some IPC issues; this should fix pcmanfm
  not opening except one instance

* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 0.9.8-1mdv2011.0
+ Revision: 602286
- new versio 0.9.8

* Mon Jul 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.rc1.3mdv2011.0
+ Revision: 560860
- conflicts with lxde-common < 0.5.5
- svn cp pcmanfm/branches/current to pcmanfm/current, step two of bringing pcmanfm2
  out of the svn branch

* Thu Jul 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.rc1.2mdv2011.0
+ Revision: 557099
- update to 0.9.7 latest git snapshot, this brings more translations and a couple
  of crash fixes
- drop the rename patch, pcmanfm2 has been renamed to pcmanfm upstream

* Tue Apr 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.5-0.beta3.1mdv2010.1
+ Revision: 539857
- new release, beta3, 0.9.5

* Mon Apr 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.4-0.beta2.2mdv2010.1
+ Revision: 539355
- new git snapshot
- rediff renaming patch
- improve the requires and buildrequires
- clean spec

* Mon Apr 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.4-0.beta2.1mdv2010.1
+ Revision: 536563
- new release beta2 0.9.4
- rediff rename patch

* Tue Apr 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.3-0.beta.2mdv2010.1
+ Revision: 534499
- new git snapshot
- rediff patch0

* Thu Mar 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.3-0.beta.1mdv2010.1
+ Revision: 525017
- new upstream release 0.9.3 beta

* Wed Mar 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.2-0.alpha.1mdv2010.1
+ Revision: 523665
- add pcmanfm.conf directly from inside the spec
- add pcmanfm.conf to configure default background
- only suggest gvfs
- update to latest git to cope with latest libfm
- add patch from OpenSuse to rename files to pcmanfm2, this will happen upstream
  with final release, but it's better to rename it with the patch to not break
  autostart stuff until then
- new version, 0.9.2 alpha
- remove hal-devel and dbus-glib-devel BR, not needed any more
- BR libfm-devel
- require gvfs
- fix typo in descripion
- fix .desktop file
- remove %%mdkversion < 200900 stuff
- drop old patches, and custom .po file


* Thu Jan 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.2.2-1mdv2007.0
+ Revision: 104027
- Add BuildRequires
- New release 0.3.2.2
- Import pcmanfm

* Thu Sep 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-2mdv2007.0
- add buildrequires libstartup-notification-1_0-devel

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-1mdk
- New release 0.3.0.2
- xdg menu

* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Fri Apr 21 2006 Austin Acton <austin@mandriva.org> 0.2.2-1mdk
- upload havily modified spec from Shiva Huang <shivahuang@gmail.com>

